Webhooks

Retrieve a webhook event + its dispatches

GET
/v1/webhooks/events/{eventId}

Authorization

selectkey<token>

API key para requisições autenticadas. Envie sua chave no cabeçalho selectkey (sandbox sk_test_…, produção sk_live_…).

In: header

Path Parameters

eventId*string

Public identifier (wbh_…)

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/webhooks/events/string"
{
  "id": "wbh_0a1b2c3d4e5f60718293",
  "type": "string",
  "resource": "string",
  "resourceId": "string",
  "source": "string",
  "delivered": true,
  "attempts": 0,
  "createdAt": "string",
  "dispatches": [
    {
      "id": "wdi_0a1b2c3d4e5f60718293",
      "eventId": "wbh_0a1b2c3d4e5f60718293",
      "endpointId": "wbe_0a1b2c3d4e5f60718293",
      "endpoint": "string",
      "status": "pending",
      "attempts": 0,
      "responseStatusCode": 0,
      "responseTime": 0,
      "nextAttemptAt": "string",
      "lastAttemptAt": "string",
      "successAt": "string",
      "createdAt": "string"
    }
  ],
  "merchant": {
    "name": "Acme Ltda",
    "merchantId": "string",
    "isSubAccount": true
  },
  "_links": {}
}
{
  "error": {
    "status": "Unauthorized",
    "statusCode": 401,
    "category": "authentication",
    "code": "unauthorized",
    "message": "Authentication is required to access this resource.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Forbidden",
    "statusCode": 403,
    "category": "authorization",
    "code": "forbidden",
    "message": "You do not have permission to perform this action.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Internal Server Error",
    "statusCode": 500,
    "category": "server",
    "code": "notFound",
    "message": "An unexpected error occurred.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Internal Server Error",
    "statusCode": 500,
    "category": "server",
    "code": "serverError",
    "message": "An unexpected error occurred. Please try again later.",
    "resource": "server",
    "details": "If the problem persists, contact support with the correlationId from the response headers."
  }
}